<h1 id="primer-markdown">Primer Markdown</h1>
<p><a href="https://www.npmjs.org/package/primer-markdown"><img src="https://img.shields.io/npm/v/primer-markdown.svg" alt="npm version" /></a> <a href="https://travis-ci.org/primer/primer"><img src="https://travis-ci.org/primer/primer.svg?branch=master" alt="Build Status" /></a></p>
<blockquote>
<p>Stylesheets for rendering GitHub Flavored Markdown and syntax highlighted code snippets.</p>
</blockquote>
<p>This repository is a module of the full <a href="https://github.com/primer/primer">primer</a> repository.</p>
<h2 id="install">Install</h2>
<p>This repository is distributed with <a href="https://www.npmjs.com/">npm</a>. After <a href="https://docs.npmjs.com/getting-started/installing-node">installing npm</a>, you can install <code>primer-markdown</code> with this command.</p>
<pre><code>$ npm install --save primer-markdown</code></pre>
<h2 id="usage">Usage</h2>
<p>The source files included are written in <a href="http://sass-lang.com/">Sass</a> (<code>scss</code>) You can simply point your sass <code>include-path</code> at your <code>node_modules</code> directory and import it like this.</p>
<pre class="scss"><code>@import &quot;primer-markdown/index.scss&quot;;</code></pre>
<p>You can also import specific portions of the module by importing those partials from the <code>/lib/</code> folder. <em>Make sure you import any requirements along with the modules.</em></p>
<h2 id="build">Build</h2>
<p>For a compiled <strong>css</strong> version of this module, a npm script is included that will output a css version to <code>build/build.css</code> The built css file is also included in the npm package.</p>
<pre><code>$ npm run build</code></pre>
<h2 id="documentation">Documentation</h2>
<!-- %docs
title: Markdown
status: Stable
-->
<p>Text can be <strong>bold</strong>, <em>italic</em>, or <del>strikethrough</del>. <a href="https://github.com">Links</a> should be blue with no underlines (unless hovered over).</p>
<p>There should be whitespace between paragraphs. There should be whitespace between paragraphs. There should be whitespace between paragraphs. There should be whitespace between paragraphs.</p>
<p>There should be whitespace between paragraphs. There should be whitespace between paragraphs. There should be whitespace between paragraphs. There should be whitespace between paragraphs.</p>
<blockquote>
<p>There should be no margin above this first sentence.</p>
<p>Blockquotes should be a lighter gray with a gray border along the left side.</p>
<p>There should be no margin below this final sentence.</p>
</blockquote>
<h1 id="header-1">Header 1</h1>
<p>This is a normal paragraph following a header. Bacon ipsum dolor sit amet t-bone doner shank drumstick, pork belly porchetta chuck sausage brisket ham hock rump pig. Chuck kielbasa leberkas, pork bresaola ham hock filet mignon cow shoulder short ribs biltong.</p>
<h2 id="header-2">Header 2</h2>
<blockquote>
<p>This is a blockquote following a header. Bacon ipsum dolor sit amet t-bone doner shank drumstick, pork belly porchetta chuck sausage brisket ham hock rump pig. Chuck kielbasa leberkas, pork bresaola ham hock filet mignon cow shoulder short ribs biltong.</p>
</blockquote>
<h3 id="header-3">Header 3</h3>
<pre><code>This is a code block following a header.</code></pre>
<h4 id="header-4">Header 4</h4>
<ul>
<li>This is an unordered list following a header.</li>
<li>This is an unordered list following a header.</li>
<li>This is an unordered list following a header.</li>
</ul>
<h5 id="header-5">Header 5</h5>
<ol type="1">
<li>This is an ordered list following a header.</li>
<li>This is an ordered list following a header.</li>
<li>This is an ordered list following a header.</li>
</ol>
<h6 id="header-6">Header 6</h6>
<table>
<thead>
<tr class="header">
<th>What</th>
<th>Follows</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>A table</td>
<td>A header</td>
</tr>
<tr class="even">
<td>A table</td>
<td>A header</td>
</tr>
<tr class="odd">
<td>A table</td>
<td>A header</td>
</tr>
</tbody>
</table>
<hr />
<p>There’s a horizontal rule above and below this.</p>
<hr />
<p>Here is an unordered list:</p>
<ul>
<li>Salt-n-Pepa</li>
<li>Bel Biv DeVoe</li>
<li>Kid ’N Play</li>
</ul>
<p>And an ordered list:</p>
<ol type="1">
<li>Michael Jackson</li>
<li>Michael Bolton</li>
<li>Michael Bublé</li>
</ol>
<p>And an unordered task list:</p>
<ul>
<li>[x] Create a sample markdown document</li>
<li>[x] Add task lists to it</li>
<li>[ ] Take a vacation</li>
</ul>
<p>And a “mixed” task list:</p>
<ul>
<li>[ ] Steal underpants</li>
<li>?</li>
<li>[ ] Profit!</li>
</ul>
<p>And a nested list:</p>
<ul>
<li>Jackson 5
<ul>
<li>Michael</li>
<li>Tito</li>
<li>Jackie</li>
<li>Marlon</li>
<li>Jermaine</li>
</ul></li>
<li>TMNT
<ul>
<li>Leonardo</li>
<li>Michelangelo</li>
<li>Donatello</li>
<li>Raphael</li>
</ul></li>
</ul>
<p>Definition lists can be used with HTML syntax. Definition terms are bold and italic.</p>
<dl>
<dt>
Name
</dt>
<dd>
Godzilla
</dd>
<dt>
Born
</dt>
<dd>
1952
</dd>
<dt>
Birthplace
</dt>
<dd>
Japan
</dd>
<dt>
Color
</dt>
<dd>
Green
</dd>
</dl>
<hr />
<p>Tables should have bold headings and alternating shaded rows.</p>
<table>
<thead>
<tr class="header">
<th>Artist</th>
<th>Album</th>
<th>Year</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>Michael Jackson</td>
<td>Thriller</td>
<td>1982</td>
</tr>
<tr class="even">
<td>Prince</td>
<td>Purple Rain</td>
<td>1984</td>
</tr>
<tr class="odd">
<td>Beastie Boys</td>
<td>License to Ill</td>
<td>1986</td>
</tr>
</tbody>
</table>
<p>If a table is too wide, it should condense down and/or scroll horizontally.</p>
<table>
<colgroup>
<col style="width: 25%" />
<col style="width: 22%" />
<col style="width: 7%" />
<col style="width: 17%" />
<col style="width: 13%" />
<col style="width: 14%" />
</colgroup>
<thead>
<tr class="header">
<th>Artist</th>
<th>Album</th>
<th>Year</th>
<th>Label</th>
<th>Awards</th>
<th>Songs</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>Michael Jackson</td>
<td>Thriller</td>
<td>1982</td>
<td>Epic Records</td>
<td>Grammy Award for Album of the Year, American Music Award for Favorite Pop/Rock Album, American Music Award for Favorite Soul/R&amp;B Album, Brit Award for Best Selling Album, Grammy Award for Best Engineered Album, Non-Classical</td>
<td>Wanna Be Startin’ Somethin’, Baby Be Mine, The Girl Is Mine, Thriller, Beat It, Billie Jean, Human Nature, P.Y.T. (Pretty Young Thing), The Lady in My Life</td>
</tr>
<tr class="even">
<td>Prince</td>
<td>Purple Rain</td>
<td>1984</td>
<td>Warner Brothers Records</td>
<td>Grammy Award for Best Score Soundtrack for Visual Media, American Music Award for Favorite Pop/Rock Album, American Music Award for Favorite Soul/R&amp;B Album, Brit Award for Best Soundtrack/Cast Recording, Grammy Award for Best Rock Performance by a Duo or Group with Vocal</td>
<td>Let’s Go Crazy, Take Me With U, The Beautiful Ones, Computer Blue, Darling Nikki, When Doves Cry, I Would Die 4 U, Baby I’m a Star, Purple Rain</td>
</tr>
<tr class="odd">
<td>Beastie Boys</td>
<td>License to Ill</td>
<td>1986</td>
<td>Mercury Records</td>
<td>noawardsbutthistablecelliswide</td>
<td>Rhymin &amp; Stealin, The New Style, She’s Crafty, Posse in Effect, Slow Ride, Girls, (You Gotta) Fight for Your Right, No Sleep Till Brooklyn, Paul Revere, Hold It Now, Hit It, Brass Monkey, Slow and Low, Time to Get Ill</td>
</tr>
</tbody>
</table>
<hr />
<p>Code snippets like <code>var foo = "bar";</code> can be shown inline.</p>
<p>Also, <code>this should vertically align</code> <del><code>with this</code></del> <del>and this</del>.</p>
<p>Code can also be shown in a block element.</p>
<pre><code>var foo = &quot;bar&quot;;</code></pre>
<p>Code can also use syntax highlighting.</p>
<div class="sourceCode" id="cb6"><pre class="sourceCode javascript"><code class="sourceCode javascript"><a class="sourceLine" id="cb6-1" title="1"><span class="kw">var</span> foo <span class="op">=</span> <span class="st">&quot;bar&quot;</span><span class="op">;</span></a></code></pre></div>
<pre><code>Long, single-line code blocks should not wrap. They should horizontally scroll if they are too long. This line should be long enough to demonstrate this.</code></pre>
<div class="sourceCode" id="cb8"><pre class="sourceCode javascript"><code class="sourceCode javascript"><a class="sourceLine" id="cb8-1" title="1"><span class="kw">var</span> foo <span class="op">=</span> <span class="st">&quot;The same thing is true for code with syntax highlighting. A single line of code should horizontally scroll if it is really long.&quot;</span><span class="op">;</span></a></code></pre></div>
<p>Inline code inside table cells should still be distinguishable.</p>
<table>
<thead>
<tr class="header">
<th>Language</th>
<th>Code</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>Javascript</td>
<td><code>var foo = "bar";</code></td>
</tr>
<tr class="even">
<td>Ruby</td>
<td><code>foo = "bar"</code></td>
</tr>
</tbody>
</table>
<hr />
<p>Small images should be shown at their actual size.</p>
<p><img src="http://placekitten.com/g/300/200/" /></p>
<p>Large images should always scale down and fit in the content container.</p>
<p><img src="http://placekitten.com/g/1200/800/" /></p>
<pre><code>This is the final element on the page and there should be no margin below this.</code></pre>
<!-- %enddocs -->
<h2 id="license">License</h2>
<p><a href="./LICENSE">MIT</a> © <a href="https://github.com/">GitHub</a></p>
